Summary:	GNOME component for spell checking
Name:		gnome-spell
Version:	1.0.8
Release:	%mkrel 2
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	aspell-devel >= 0.50.3
BuildRequires:  libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	perl-XML-Parser
Requires:	aspell >= 0.50.2

%description
GNOME Spell is a GNOME component for spell checking. It contains the 
GNOME::Spell::Dictionary object, which provides a spell checking
dictionary (see Spell.idl for exact API definition). GNOME Spell is
based on aspell.

%prep
%setup -q

%build

%configure2_5x
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-spell/*.{a,la}

%{find_lang} %{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS AUTHORS
%{_libdir}/gnome-spell
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/control-center-2.0/icons/*



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.8-2mdv2008.1
+ Revision: 170868
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.0.8-1mdv2008.1
+ Revision: 98472
- new version

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.7-2mdv2008.0
+ Revision: 91301
- rebuild for 2008
- new license policy, correct license (COPYING is the GPL but the headers of all the actual source files say LGPL)
- improve description
- spec clean


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.0.7-2mdv2007.0
+ Revision: 108664
- Import gnome-spell

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.0.7-2mdv2007.1
- Rebuild

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 1.0.7-1mdk
- New release 1.0.7
- use mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.6-3mdk
- Rebuild

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.6-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- New release 1.0.6
- Remove patch0 (merged upstream)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-3mdk
- Patch0 : fix build with gtk 2.4

